| Home | Libraries | People | FAQ | More

##### basic_socket_acceptor::cancel (2 of 2 overloads)

Cancel all asynchronous operations associated with the acceptor.

    boost::system::error_code cancel(
        boost::system::error_code & ec);

This function causes all outstanding asynchronous connect, send and receive operations to finish immediately, and the handlers for cancelled operations will be passed the `boost::asio::error::operation_aborted` error.

###### Parameters

ec

  Set to indicate what error occurred, if any.